<?php

/**
 * Functions for get_theme_mod()
 *
 * @package ample themes
 * @subpackage news_bulletin
 */

if (!function_exists('news_bulletin_get_option')) :

    /**
     * Get theme option.
     *
     * @since 1.0.0
     *
     * @param string $key Option key.
     * @return mixed Option value.
     */
    function news_bulletin_get_option($key = '')
    {
        if (empty($key)) {
            return;
        }
        $news_bulletin_default_options = news_bulletin_get_default_theme_options();

        $default = (isset($news_bulletin_default_options[$key])) ? $news_bulletin_default_options[$key] : '';

        $theme_option = get_theme_mod($key, $default);

        return $theme_option;

    }

endif;

/**
 *  News Bulletin Theme Options and Settings
 *
 * @since News Bulletin 1.0.0
 *
 * @param null
 * @return array news_bulletin_get_options_value
 *
 */
if ( !function_exists('news_bulletin_get_options_value') ) :
    function news_bulletin_get_options_value() {
        $news_bulletin_default_theme_options_values = news_bulletin_get_default_theme_options();;
        $news_bulletin_get_options_value = get_theme_mod( 'news_bulletin_options');
        if( is_array( $news_bulletin_get_options_value )){
            return array_merge( $news_bulletin_default_theme_options_values, $news_bulletin_get_options_value );
        }
        else{
            return $news_bulletin_default_theme_options_values;
        }
    }
endif;