<?php
/**
 * The template for displaying all pages.
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package amplethemes
 * @subpackage news_bulletin
 */


if (!function_exists('news_bulletin_braeking_news')) :

    function news_bulletin_braeking_news($post_id)
    {
        $news_bulletin_title_text = news_bulletin_get_option('news_bulletin_breaking_title');

        $news_bulletin_section_cat_id = absint(news_bulletin_get_option('news_bulletin_breaking_category_id'));

        $no_of_slider = news_bulletin_get_option('breaking_post_number');


        if (!empty($news_bulletin_section_cat_id)) {
            $news_bulletin_breaking_news = array('cat' => $news_bulletin_section_cat_id, 'posts_per_page' => $no_of_slider);

            $breaking_news_query = new WP_Query($news_bulletin_breaking_news);
            $news_bulletin_show_option = news_bulletin_get_option('news_bulletin_breaking_news_option');

            if ($news_bulletin_show_option == 'show') {


                if ($breaking_news_query->have_posts()):


                    ?>
                    <!--breaking slide-->


                    <div class="breaking-bar hidden-xs">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-12">
                                    <h3 class="breaking-title"><?php echo esc_html($news_bulletin_title_text); ?></h3>
                                    <div id="breaking-slide" class="owl-carousel owl-theme breaking-slide">
                                        <?php

                                        while ($breaking_news_query->have_posts()):
                                            $breaking_news_query->the_post();

                                            ?>

                                            <div class="item">
                                                <div class="ample-content">
                                                    <h3 class="post-title title-small">
                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                    </h3>
                                                </div><!-- Post content end -->
                                            </div><!-- Item 1 end -->

                                            <?php

                                        endwhile;

                                        wp_reset_postdata();

                                        ?>


                                    </div><!-- Carousel end -->
                                </div><!-- Col end -->
                            </div><!--/ Row end -->
                        </div><!--/ Container end -->
                    </div><!--/ breaking end -->

                <?php endif;
            }
        }

    }
endif;

add_action('news_bulletin_braeking_news', 'news_bulletin_braeking_news', 10, 1);


/*=====================================main slider================================================*/

if (!function_exists('news_bulletin_main_slider_news')) :

    function news_bulletin_main_slider_news()
    {
        $news_bulletin_slider_section_option = news_bulletin_get_option('news_bulletin_homepage_slider_option');
        if ($news_bulletin_slider_section_option == 'show') {

            $news_bulletin_slider_section_cat_id = news_bulletin_get_option('news_bulletin_slider_cat_id');


            if (!empty($news_bulletin_slider_section_cat_id)) {
                $no_of_slider = news_bulletin_get_option('news_bulletin_no_of_slider');

                if ( $no_of_slider > 0) {

  $news_bulletin_feature_section_feature_option_left = news_bulletin_get_option('news_bulletin_homepage_feature_option_left');
  $news_bulletin_feature_section_feature_option_right = news_bulletin_get_option('news_bulletin_homepage_feature_option_left');

                    if ($news_bulletin_feature_section_feature_option_left == 'show'&& $news_bulletin_feature_section_feature_option_right == 'show' ) {

                    ?>


                    <div class="col-md-6 col-xs-12 side-right">
                        <?php } else {?>
                            <div class="col-md-12 col-xs-12 side-right">
                           <?php }?>

                        <div id="main-slider" class="main-slider">
                            <?php
                            $i = 0;
                            if (!empty($news_bulletin_slider_section_cat_id)) {
                                $news_bulletin_home_slider_section = array('cat' => $news_bulletin_slider_section_cat_id, 'posts_per_page' => $no_of_slider);
                                $news_bulletin_home_slider_section_query = new WP_Query($news_bulletin_home_slider_section);
                                if ($news_bulletin_home_slider_section_query->have_posts()) {
                                    while ($news_bulletin_home_slider_section_query->have_posts()) {
                                        $news_bulletin_home_slider_section_query->the_post();
                                        ?>


                                        <?php ?>


                                            <div class="item"
                                                 style="background-image:url(<?php if (has_post_thumbnail()) {
                                            $image_id = get_post_thumbnail_id();
                                            $image_url = wp_get_attachment_image_src($image_id, 'large', true);
                                            echo esc_url($image_url[0]); ?>)
                                           <?php
                                            }?>
                                            ">


                                                <div class="featured-post">

                                                    <div class="ample-contents">
                                                        <div class="post-cat" ><?php news_bulletin_get_category(get_the_ID()); ?></div>
                                                        <h3 class="post-title title-extra-large">
                                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                        </h3>
                                                     <span class="post-date"> <?php news_bulletin_posted_on_theme(); ?></span>                                                   </div>
                                                </div><!--/ Featured post end -->

                                            </div><!-- Item 1 end -->




                                        <?php
                                        $i++;
                                    }
                                }
                                wp_reset_postdata();
                            }
                            ?>
                        </div><!-- Featured owl carousel end-->
                    </div><!-- Col 7 end -->

                    <?php
                }
            }
        }
    }
endif;

add_action('news-bulletin-feature-slider-news', 'news_bulletin_main_slider_news', 15, 2);





/*=====================================feature sectionleft================================================*/


if (!function_exists('news_bulletin_feature_news_left')) :

    function news_bulletin_feature_news_left()
    {
        $news_bulletin_feature_section_option_right = news_bulletin_get_option('news_bulletin_homepage_feature_option_left');
        if ($news_bulletin_feature_section_option_right == 'show') {
         $news_bulletin_slider_section_option = news_bulletin_get_option('news_bulletin_homepage_slider_option');



            $news_bulletin_feature_section_cat_id_left = news_bulletin_get_option('news_bulletin_feature_cat_id_left');
            if ($news_bulletin_slider_section_option == 'hide') {
                                        ?>
                                        <div class="left-margin">
                                           <?php }
            if ($news_bulletin_slider_section_option == 'show') { ?>


                    <div class="col-md-3 col-xs-12 left-side">
                    <?php }else {?>
                     <div class="col-md-12 col-xs-12 left-side">
                  <?php  }

                   ?>
                        <div class="row">
                            <div id="main-left-slider" class="main-left-slider">

                            <?php
                            $i = 1;
                            if (!empty($news_bulletin_feature_section_cat_id_left)) {
                                $news_bulletin_home_feature_section = array('cat' => $news_bulletin_feature_section_cat_id_left, 'posts_per_page' => 4);
                                $news_bulletin_home_feature_section_query = new WP_Query($news_bulletin_home_feature_section);
                                if ($news_bulletin_home_feature_section_query->have_posts()) {
                                    while ($news_bulletin_home_feature_section_query->have_posts()) {
                                        $news_bulletin_home_feature_section_query->the_post();

                                            ?>

                                            <div class="col-sm-12 small-right">
                                         <?php
                                        if ($news_bulletin_slider_section_option == 'hide') {
                                        ?>
                                        <div class="hide-slider">
                                           <?php } ?>
                                                <div class="ample-overaly-style contentTop hot-post-bottom clearfix">
                                                    <div class="img-post">

                                                        <?php if (has_post_thumbnail()) {
                                                            $image_id = get_post_thumbnail_id();
                                                            $image_url = wp_get_attachment_image_src($image_id, 'large', true); ?>

                                                            <img class="img-responsive"
                                                                        src="<?php echo esc_url($image_url[0]); ?>"
                                                                        alt="<?php the_title_attribute();?>"/>
                                                        <?php } ?>
                                                    </div>
                                                    <div class="ample-contents">
                                                        <div class="post-cat" ><?php news_bulletin_get_category(get_the_ID()); ?></div>
                                                        <h3 class="post-title title-medium">
                                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                        </h3>
                                                       <span class="post-date"> <?php news_bulletin_posted_on_theme(); ?></span>

                                                    </div><!-- Post content end -->


                                                </div><!-- Post Overaly end -->
                                                  <?php
                                                 if ($news_bulletin_slider_section_option == 'hide') {
                                                                                       ?>
                                                      </div>
                                                   <?php } ?>
                                            </div><!-- Col end -->
                                        <?php
                                        $i++;
                                    }


                                }
                                wp_reset_postdata();
                            }


                            ?>

                        </div>
                    </div>
                </div>
                <!-- Col 5 end -->
           <?php

                }
               $news_bulletin_slider_section_option = news_bulletin_get_option('news_bulletin_homepage_slider_option');

                if ($news_bulletin_slider_section_option == 'hide') {
                                        ?>
                                        </div>
                                           <?php }


    }

endif;

add_action('news-bulletin-feature-news-left', 'news_bulletin_feature_news_left', 20, 3);








/*=====================================feature section right================================================*/


if (!function_exists('news_bulletin_feature_news_right')) :

    function news_bulletin_feature_news_right()
    {
        $news_bulletin_feature_section_option_right = news_bulletin_get_option('news_bulletin_homepage_feature_option_right');
        if ($news_bulletin_feature_section_option_right == 'show') {
         $news_bulletin_slider_section_option = news_bulletin_get_option('news_bulletin_homepage_slider_option');



            $news_bulletin_feature_section_cat_id_right = news_bulletin_get_option('news_bulletin_feature_cat_id_right');
            if ($news_bulletin_slider_section_option == 'hide') {
                                        ?>
                                        <div class="left-margin">
                                           <?php }
            if ($news_bulletin_slider_section_option == 'show') { ?>


                    <div class="col-md-3 col-xs-12 left-side">
                    <?php }else {?>
                     <div class="col-md-12 col-xs-12 left-side">
                  <?php  }

                   ?>
                        <div class="row">
                             <div id="main-right-slider" class="main-right-slider">
                            <?php
                            $i = 1;
                            if (!empty($news_bulletin_feature_section_cat_id_right)) {
                                $news_bulletin_home_feature_section = array('cat' => $news_bulletin_feature_section_cat_id_right, 'posts_per_page' => 4);
                                $news_bulletin_home_feature_section_query = new WP_Query($news_bulletin_home_feature_section);
                                if ($news_bulletin_home_feature_section_query->have_posts()) {
                                    while ($news_bulletin_home_feature_section_query->have_posts()) {
                                        $news_bulletin_home_feature_section_query->the_post();

                                            ?>

                                            <div class="col-sm-12 small-right">
                                         <?php
                                        if ($news_bulletin_slider_section_option == 'hide') {
                                        ?>
                                        <div class="hide-slider">
                                           <?php } ?>
                                                <div class="ample-overaly-style contentTop hot-post-bottom clearfix">
                                                    <div class="img-post">

                                                        <?php if (has_post_thumbnail()) {
                                                            $image_id = get_post_thumbnail_id();
                                                            $image_url = wp_get_attachment_image_src($image_id, 'large', true); ?>

                                                            <img class="img-responsive"
                                                                        src="<?php echo esc_url($image_url[0]); ?>"
                                                                        alt="<?php the_title_attribute();?>"/>
                                                        <?php } ?>
                                                    </div>
                                                    <div class="ample-content">
                                                        <div class="post-cat" ><?php news_bulletin_get_category(get_the_ID()); ?></div>
                                                        <h3 class="post-title title-medium">
                                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                        </h3>
                                                       <span class="post-date"> <?php news_bulletin_posted_on_theme(); ?></span>

                                                    </div><!-- Post content end -->


                                                </div><!-- Post Overaly end -->
                                                  <?php
                                                 if ($news_bulletin_slider_section_option == 'hide') {
                                                                                       ?>
                                                      </div>
                                                   <?php } ?>
                                            </div><!-- Col end -->
                                        <?php
                                        $i++;
                                    }


                                }
                                wp_reset_postdata();
                            }


                            ?>

                        </div>
                    </div>
                    </div><!-- Col 5 end -->
           <?php

                }
               $news_bulletin_slider_section_option = news_bulletin_get_option('news_bulletin_homepage_slider_option');

                if ($news_bulletin_slider_section_option == 'hide') {
                                        ?>
                                        </div>
                                           <?php }


    }

endif;

add_action('news-bulletin-feature-news-right', 'news_bulletin_feature_news_right', 20, 3);







 /* =============================hook for breadcumb ==================================================*/

if (!function_exists('news_bulletin_breadcrumb_type')) :

    function news_bulletin_breadcrumb_type($post_id)
    {
       $news_bulletin_breadcrump_option = news_bulletin_get_option('news_bulletin_breadcrumb_setting_option');
if ($news_bulletin_breadcrump_option == "enable") {
    if (function_exists('bcn_display')) {
        ?>

		<div class="page-title">
			<div class="container">


            <?php
            echo "<div class='breadcrumbs'><div id='cwp-breadcrumbs' class='cwp-breadcrumbs'>";
            bcn_display();
            echo "</div></div>";
            ?>
        </div>
        </div>
        <?php
    }
 }
    }
endif;

add_action('news_bulletin_breadcrumb_type', 'news_bulletin_breadcrumb_type', 10, 1);



/* =============================hook for popular tag ==================================================*/

if (!function_exists('news_bulletin_popular_tag')) {

    function news_bulletin_popular_tag($post_id)
    {


    $news_bulletin_hide_popular_tag = news_bulletin_get_option('news_bulletin_Popular_tag_option');
    $news_bulletin_title_popular_tag = news_bulletin_get_option('news_bulletin_popular_tag_title');
    $news_bulletin_no_of_tag = news_bulletin_get_option('news_bulletin_popular_tag_post_number');
   if($news_bulletin_hide_popular_tag=='show'){
            ?>

    <div class=" tag-post row">
      <div class="col-md-12">
        <div class="taglist">

         <ul class="tag-list">
           <li class="trans">
           <div class="tagname">
                <?php echo esc_html($news_bulletin_title_popular_tag);?>
            </div>
            </li>
             <?php
          $tags = get_tags( array('orderby' => 'count', 'order' => 'DESC', 'number'  =>  $news_bulletin_no_of_tag,) );
            foreach ( (array) $tags as $tag ) {

             echo '<div class=tag><li>'.esc_html__('#', 'news-bulletin').' <a href="' . esc_url(get_tag_link ($tag->term_id)) . '" rel="tag">'. esc_html($tag->name) . ' (' .esc_html($tag->count)  . ')  </a></li></div>';
           }
             ?>
             </ul>
      </div>
  </div>
 </div>

<?php
}else{
?>
<div class="ample-40"></div>
    <?php
}
}
}
add_action('news_bulletin_popular_tag', 'news_bulletin_popular_tag', 10, 1);


 /* =============================hook for social sharing ==================================================*/

if (!function_exists('news_bulletin_social_sharing')) :

    function news_bulletin_social_sharing()
    {
                                           $news_bulletin_show_hide = news_bulletin_get_option('news_bulletin_header_social_option');
                                           $news_bulletin_facebook = news_bulletin_get_option('news_bulletin_facebook_url');
                                           $news_bulletin_twitter = news_bulletin_get_option('news_bulletin_twitter_url');
                                           $news_bulletin_instagram = news_bulletin_get_option('news_bulletin_Google+_url');
                                           $news_bulletin_linkedin = news_bulletin_get_option('news_bulletin_linkedin_url');
                                           ?>
                                            <div class="col-md-4 col-sm-4 col-xs-12 top-social text-right">
                                                <?php if($news_bulletin_show_hide=='show'){?>
                                                    <ul class="menu-design">
                                                        <li>
                                                            <?php if(!empty($news_bulletin_facebook)){?>
                                                                <a  aria-label="<?php  esc_html_e('Facebook','news-bulletin');?>" class='fb'title="<?php echo esc_html('Facebook','news-bulletin');?>" href="<?php echo esc_url($news_bulletin_facebook); ?>">
                                                                    <span class="social-icon"><i class="fab fa-facebook-f"></i></span>
                                                                </a>
                                                            <?php } if(!empty($news_bulletin_twitter)){?>
                                                                <a  aria-label="<?php  esc_html_e('Twitter','news-bulletin');?>" class='tw' title="<?php echo esc_html('Twitter','news-bulletin');?>" href="<?php echo esc_url($news_bulletin_twitter); ?>">
                                                                    <span class="social-icon"><i class="fab fa-twitter"></i></span>
                                                                </a>
                                                            <?php } if(!empty($news_bulletin_instagram)){?>
                                                                <a  aria-label="<?php  esc_html_e('Instagram','news-bulletin');?>" class="goggle" title="<?php echo esc_html('Instagram','news-bulletin');?>" href="<?php echo esc_url($news_bulletin_instagram ); ?>">
                                                                    <span class="social-icon"><i class="fab fa-instagram"></i></span>
                                                                </a>
                                                            <?php } if(!empty($news_bulletin_linkedin)){?>
                                                                <a  aria-label="<?php  esc_html_e('Linkdin','news-bulletin');?>" class='linkdin' title="<?php echo esc_html('Linkdin','news-bulletin');?>" href="<?php echo esc_url($news_bulletin_linkedin); ?>">
                                                                    <span class="social-icon"><i class="fab fa-linkedin-in"></i></span>
                                                                </a>

                                                            <?php } ?>

                                                        </li>
                                                    </ul><!-- Ul end -->
                                                <?php } ?>


                                            </div><!--/ Top social col end -->
                                            <?php
    }
endif;

add_action('news-bulletin-social-sharing', 'news_bulletin_social_sharing', 10, 1);

 /* =============================hook for header option ==================================================*/

if (!function_exists('news_bulletin_header_option')) :

    function news_bulletin_header_option(){
    global $news_bulletin_header_image,$news_bulletin_header_style;
$news_bulletin_header_image = get_header_image();

if( $news_bulletin_header_image ){
    $news_bulletin_header_style = $news_bulletin_header_image;

} else{

    $news_bulletin_header_style = '';
}
     ?>



      <header id="header" class="header"  style="background-image: url(<?php echo esc_url($news_bulletin_header_style); ?>);">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-3 col-md-3">

                    <div class="site-branding">
                        <?php
                        if (has_custom_logo()) { ?>
                                            <a class="navbar-brand" href="<?php echo esc_url(home_url('/')); ?>">
                                                <?php the_custom_logo(); ?>
                                            </a>
                                            <?php }if (is_front_page() && is_home()) : ?>
                                            <h1 class="site-title">
                                                <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
                                            </h1>
                                            <?php else : ?>
                                            <h1 class="site-title">
                                                <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
                                            </h1>
                                            <?php
                                            endif;
                                            $description = get_bloginfo('description', 'display');
                                            if ($description || is_customize_preview()) : ?>
                                            <p class="site-description"><?php echo esc_html($description); /* WPCS: xss ok. */ ?></p>
                                            <?php
                                            endif; ?>
                                        </div><!-- .site-branding -->

                                        </div><!-- logo col end -->

                        <div class="col-xs-12 col-sm-9 col-md-9 header-right">
                            <div class="ad-banner pull-right">
                                <?php dynamic_sidebar('advertisement'); ?>
                            </div>
                        </div><!-- header right end -->
                    </div><!-- Row end -->
</div><!-- Logo and banner area end -->
</header><!--/ Header end -->
<?php
    }
endif;

add_action('news-bulletin-header-option', 'news_bulletin_header_option', 10, 1);
