<?php
   if (!class_exists('News_Bulletin_Layout_Widget')) {
   class News_Bulletin_Layout_Widget extends WP_Widget
   {
   private function defaults()
   {
   $defaults = array(
   'title' => esc_html__('News Title', 'news-bulletin'),
   'cat_id' => array(),
   'post_number' => 5,
   'layout_type' =>'',

   );
   return $defaults;
   }
   public function __construct()
   {
   parent::__construct(
   'news-bulletin-layout-widget',
   esc_html__('AT: Home Page Layout', 'news-bulletin'),
   array('description' => esc_html__('choose category Widget', 'news-bulletin'))
   );
   }
   public function form($instance)
   {
   $instance = wp_parse_args((array )$instance, $this->defaults());
   $title = esc_attr($instance['title']);
   $catid = absint($instance['cat_id']);
   $post_number = absint($instance['post_number']);
   ?>
<p>
   <label
      for="<?php echo esc_attr($this->get_field_id('title')); ?>"><strong><?php esc_html_e('Title:', 'news-bulletin'); ?></strong></label>
   <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>"
      name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text"
      value="<?php echo $title; ?>"/>
</p>

<p>
   <label for="<?php echo esc_attr( $this->get_field_id( 'layout_type' ) ); ?>"><?php esc_html_e( 'Select Layout:', 'news-bulletin' ); ?></label>
   <select id="<?php echo esc_attr( $this->get_field_id( 'layout_type' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'layout_type' ) ); ?>">
      <option value="layout1" <?php selected( $instance['layout_type'], 'layout1'); ?>><?php esc_html_e( 'layout 1', 'news-bulletin' ); ?></option>
      <option value="layout2" <?php selected( $instance['layout_type'], 'layout2'); ?>><?php esc_html_e( 'layout 2', 'news-bulletin' ); ?></option>
      <option value="layout3" <?php selected( $instance['layout_type'], 'layout3'); ?>><?php esc_html_e( 'layout 3', 'news-bulletin' ); ?></option>
      <option value="layout4" <?php selected( $instance['layout_type'], 'layout4'); ?>><?php esc_html_e( 'layout 4', 'news-bulletin' ); ?></option>
      <option value="layout5" <?php selected( $instance['layout_type'], 'layout5'); ?>><?php esc_html_e( 'layout 5', 'news-bulletin' ); ?></option>
      <option value="layout6" <?php selected( $instance['layout_type'], 'layout6'); ?>><?php esc_html_e( 'Feature Slider', 'news-bulletin' ); ?></option>
   </select>
</p>
<p>
   <label for="<?php echo esc_attr($this->get_field_id('post_number')); ?>"><strong><?php esc_html_e('Number of Posts:', 'news-bulletin'); ?></strong></label>
   <input class="widefat" id="<?php echo esc_attr($this->get_field_id('post_number')); ?>" name="<?php echo esc_attr($this->get_field_name('post_number')); ?>" type="number" value="<?php echo $post_number; ?>" min="1"/>
</p>
<p>
   <label for="<?php echo esc_attr($this->get_field_id('cat_id')); ?>">
   <?php esc_html_e('Select Category', 'news-bulletin'); ?>
   </label><br/>
   <?php
      $ample_con_dropown_cat = array(
      'show_option_none' => esc_html__('From Recent Posts', 'news-bulletin'),
      'orderby' => 'name',
      'order' => 'asc',
      'show_count' => 1,
      'hide_empty' => 1,
      'echo' => 1,
      'selected' => $catid,
      'hierarchical' => 1,
      'name' => esc_attr($this->get_field_name('cat_id')),
      'id' => esc_attr($this->get_field_name('cat_id')),
      'class' => 'widefat',
      'taxonomy' => 'category',
      'hide_if_empty' => false,
      );
      wp_dropdown_categories($ample_con_dropown_cat);
      ?>
</p>
<hr>
<?php
   }
   public function update($new_instance, $old_instance)
   {
   $instance = $old_instance;
   $instance['cat_id'] = (isset($new_instance['cat_id'])) ? absint($new_instance['cat_id']) : '';
   $instance['title'] = sanitize_text_field($new_instance['title']);
   $instance['post_number'] = absint( $new_instance['post_number'] );
   $instance[ 'layout_type' ] = ( !empty( $new_instance[ 'layout_type' ] ) ? sanitize_text_field( $new_instance[ 'layout_type' ] ) :  esc_html__('','news-bulletin') );

   return $instance;
   }
   public function widget($args, $instance)
   {
   $instance = wp_parse_args((array)$instance, $this->defaults());
   if (!empty($instance)) {
   $title = apply_filters('widget_title', !empty($instance['title']) ? esc_html($instance['title']) : '', $instance, $this->id_base);
   $catid = absint($instance['cat_id']);
   $post_number = absint($instance['post_number']);
   $layout_type     = isset( $instance[ 'layout_type' ] ) ? $instance[ 'layout_type' ] : '';

   echo $args['before_widget'];
   if($layout_type=='layout1' ){
   ?>
<div class="block-tab">
   <?php if (!empty($title)) { ?>
   <h3 class="head-title"><span>
      <?php echo esc_html($title);
         ?></span>
   </h3>
   <?php } ?>
   <div class="click-content">
      <?php
         $i = 1;
         $sticky = get_option('sticky_posts');
         if ($catid != -1) {
         $news_bulletin_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'cat' => $catid,
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         } else {
         $news_bulletin_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'post_type' => 'post',
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         }
         ?>
      <div class="layout">
         <div class="row">
            <?php
               $news_bulletin_two_column_section_query = new WP_Query($news_bulletin_two_column_section);
               if ($news_bulletin_two_column_section_query->have_posts()) {
               while ($news_bulletin_two_column_section_query->have_posts()) {
               $news_bulletin_two_column_section_query->the_post();
               if ($i == 1) {
               ?>
            <div class="col-md-12 col-sm-12">
               <div class="ample-block-style clearfix">
                  <div class="img-post">
                     <?php
                        if (has_post_thumbnail()) {
                        $image_id = get_post_thumbnail_id();
                        $image_url = wp_get_attachment_image_src($image_id, 'news-bulletin-big', true);
                        ?>
                     <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                        src="<?php echo esc_url($image_url[0]); ?>"
                        alt="<?php the_title_attribute();?>"/></a>
                     <?php }
                        ?>
                  </div>
                  <?php
                     if (has_post_thumbnail()) {
                     ?>
                  <div class="post-cat"><?php news_bulletin_get_category(get_the_ID()); ?></div>
                  <?php } ?>
                  <div class="ample-content">
                     <h3 class="post-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                     </h3>
                     <div class="post-meta">
                        <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?> </span>
                     </div>
                     <p><?php echo esc_html(wp_trim_words(get_the_content(), 55)); ?></p>
                  </div>
                  <!-- Post content end -->
               </div>
               <!-- Post Block style end -->
            </div>
            <!-- Col end -->
            <?php } else { ?>
            <div class="col-md-6 col-sm-6">
               <div class="list-post-block">
                  <ul class="list-post">
                     <li class="clearfix">
                        <div class="ample-block-style  post-float clearfix">
                           <div class="img-post">
                              <?php
                                 if (has_post_thumbnail()) {

                                 $image_id = get_post_thumbnail_id();
                                 $image_url = wp_get_attachment_image_src($image_id, 'samll', true);
                                 ?>
                              <a href="<?php the_permalink(); ?>"><img
                                 class="img-responsive"
                                 src="<?php echo esc_url($image_url[0]); ?>"
                                 alt="<?php the_title_attribute();?>"/></a>
                              <?php }
                                 ?>
                           </div>
                           <!-- Post thumb end -->
                           <div class="ample-content ">
                              <h3 class="post-title title-small">
                                 <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                              </h3>
                              <div class="post-meta">
                                 <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?> </span>
                              </div>
                              <!--      <span class="post-date">
                                 <div class="small-cat "><?php news_bulletin_get_category(get_the_ID()); ?></div>
                                 </span> -->
                           </div>
                           <!-- Post content end -->
                        </div>
                        <!-- Post block style end -->
                     </li>
                     <!-- Li 1 end -->
                  </ul>
                  <!-- List post end -->
               </div>
               <!-- List post block end -->
            </div>
            <!-- List post Col end -->
            <?php } ?>
            <?php
               $i++;
               }
               wp_reset_postdata();
               } ?>
         </div>
         <!-- Tab pane Row 1 end -->
      </div>
      <!-- Tab pane 1 end -->
   </div>
   <!-- tab content -->
</div>
<!-- Technology Tab end -->
<?php
   }
   elseif($layout_type=='layout2' ){
     ?>
<div class="block-tab">
   <?php if (!empty($title)) { ?>
   <h3 class="head-title"><span>
      <?php echo esc_html($title);
         ?></span>
   </h3>
   <?php } ?>
   <div class="click-content">
      <?php
         $i = 1;
         $sticky = get_option('sticky_posts');
         if ($catid != -1) {
         $news_bulletin_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'cat' => $catid,
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         } else {
         $news_bulletin_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'post_type' => 'post',
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         }
         ?>
      <div id="layout2" class="layout2">
         <div class="row">
            <?php
               $news_bulletin_two_column_section_query = new WP_Query($news_bulletin_two_column_section);
               if ($news_bulletin_two_column_section_query->have_posts()) {
               while ($news_bulletin_two_column_section_query->have_posts()) {
               $news_bulletin_two_column_section_query->the_post();
               if ($i == 1) {
               ?>
            <div class="col-md-6 col-sm-12">
               <div class="ample-block-style clearfix">
                  <div class="img-post">
                     <?php
                        if (has_post_thumbnail()) {
                        $image_id = get_post_thumbnail_id();
                        $image_url = wp_get_attachment_image_src($image_id, 'news-bulletin-big', true);
                        ?>
                     <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                        src="<?php echo esc_url($image_url[0]); ?>"
                        alt="<?php the_title_attribute();?>"/></a>
                     <?php }
                        ?>
                  </div>
                  <?php
                     if (has_post_thumbnail()) {
                     ?>
                  <div class="post-cat"><?php news_bulletin_get_category(get_the_ID()); ?></div>
                  <?php } ?>
                  <div class="ample-content">
                     <h3 class="post-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                     </h3>
                     <div class="post-meta">
                        <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?> </span>
                     </div>
                     <p><?php echo esc_html(wp_trim_words(get_the_content(), 55)); ?></p>
                  </div>
                  <!-- Post content end -->
               </div>
               <!-- Post Block style end -->
            </div>
            <!-- Col end -->
            <div class="col-md-6 col-sm-6">
               <?php }
                  else{ ?>
               <div class="list-post-block">
                  <ul class="list-post">
                     <li class="clearfix">
                        <div class="ample-block-style  post-float clearfix">
                           <div class="img-post">
                              <?php
                                 if (has_post_thumbnail()) {

                                 $image_id = get_post_thumbnail_id();
                                 $image_url = wp_get_attachment_image_src($image_id, 'samll', true);
                                 ?>
                              <a href="<?php the_permalink(); ?>"><img
                                 class="img-responsive"
                                 src="<?php echo esc_url($image_url[0]); ?>"
                                 alt="<?php the_title_attribute();?>"/></a>
                              <?php }
                                 ?>
                           </div>
                           <!-- Post thumb end -->
                           <div class="ample-content ">
                              <h3 class="post-title title-small">
                                 <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                              </h3>
                              <div class="post-meta">
                                 <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?> </span>
                              </div>
                              <!--      <span class="post-date">
                                 <div class="small-cat "><?php news_bulletin_get_category(get_the_ID()); ?></div>
                                 </span> -->
                           </div>
                           <!-- Post content end -->
                        </div>
                        <!-- Post block style end -->
                     </li>
                     <!-- Li 1 end -->
                  </ul>
                  <!-- List post end -->
                  <?php } ?>
                  <?php
                     $i++;
                     }
                     wp_reset_postdata();
                     } ?>
               </div>
               <!-- List post block end -->
            </div>
            <!-- List post Col end -->
         </div>
         <!-- Tab pane Row 1 end -->
      </div>
      <!-- Tab pane 1 end -->
   </div>
   <!-- tab content -->
</div>
<!-- Technology Tab end -->
<?php
   }elseif($layout_type=='layout3' ){
     ?>
<div id="layout3">
   <div class="latest-news block ">
      <?php if (!empty($title)) { ?>
      <h3 class="head-title"><span>
         <?php echo esc_html($title);
            ?></span>
      </h3>
      <?php } ?>
      <div id="latest-news-slide" class="owl-carousel owl-theme latest-news-slide">
         <?php
            $i = 0;
            $sticky = get_option('sticky_posts');
            if ($catid != -1) {
            $home_two_column_section = array(
            'ignore_sticky_posts' => true,
            'post__not_in' => $sticky,
            'cat' => $catid,
            'posts_per_page' => $post_number,
            'order' => 'DESC'
            );
            } else {
            $home_two_column_section = array(
            'ignore_sticky_posts' => true,
            'post__not_in' => $sticky,
            'post_type' => 'post',
            'posts_per_page' => $post_number,
            'order' => 'DESC'
            );
            }
            $home_two_column_section_query = new WP_Query($home_two_column_section);
            if ($home_two_column_section_query->have_posts()) {
            while ($home_two_column_section_query->have_posts()) {
            $home_two_column_section_query->the_post(); ?>
         <div class="item slide">
            <ul class="list-post">
               <li class="clearfix">
                  <div class="ample-block-style clearfix">
                     <?php if (has_post_thumbnail()) { ?>
                     <div class="img-post ">
                        <?php

                           $image_id = get_post_thumbnail_id();
                           $image_url = wp_get_attachment_image_src($image_id, 'large', true);
                           ?>
                        <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                           src="<?php echo esc_url($image_url[0]); ?>"
                           alt="<?php the_title_attribute();?>"/></a>
                     </div>
                     <?php }
                        ?>
                     <?php
                        if (has_post_thumbnail()) {?>
                     <div class="post-cat"><?php news_bulletin_get_category(get_the_ID()); ?></div>
                     <?php } ?>
                     <div class="ample-content">
                        <h3 class="post-title title-medium">
                           <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                        </h3>
                        <div class="post-meta">
                           <span class="post-date black"><?php news_bulletin_posted_on_theme(); ?></span>
                        </div>
                        <p><?php echo esc_html(wp_trim_words(get_the_content(), 15)); ?></p>
                     </div>
                     <!-- Post content end -->
                  </div>
                  <!-- Post Block style end -->
               </li>
               <!-- Li end -->
            </ul>
            <!-- List post 1 end -->
         </div>
         <!-- Item 1 end -->
         <?php
            $i++;
            }
            wp_reset_postdata();
            } ?>
      </div>
      <!-- Latest News owl carousel end-->
    
   </div>
</div>
<!--- Latest news end -->
<?php
   }elseif($layout_type=='layout4' ){
     ?>
<div class="block layout-4">
   <?php if (!empty($title)) { ?>
   <h3 class="head-title"><span>
      <?php echo esc_html($title);
         ?></span>
   </h3>
   <?php } ?>
   <div class="row">
      <?php
         $i = 1;
         $sticky = get_option('sticky_posts');
         if ($catid != -1) {
         $home_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'cat' => $catid,
         'posts_per_page' =>  $post_number,
         'order' => 'DESC'
         );
         } else {
         $home_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'post_type' => 'post',
         'posts_per_page' =>  $post_number,
         'order' => 'DESC'
         );
         }
         $home_two_column_section_query = new WP_Query($home_two_column_section);
         if ($home_two_column_section_query->have_posts()) {
         while ($home_two_column_section_query->have_posts()) {
         $home_two_column_section_query->the_post();
         if ($i == 1 || $i == 2) {
         ?>
      <div class="col-md-6 col-sm-6">
         <div class="ample-overaly-style clearfix">
            <div class="img-post">
               <?php

                  if (has_post_thumbnail()) {
                  $image_id = get_post_thumbnail_id();
                  $image_url = wp_get_attachment_image_src($image_id, 'news-bulletin-big', true);
                  ?>
               <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                  src="<?php echo esc_url($image_url[0]); ?>"
                  alt="<?php the_title_attribute();?>"/></a>
               <?php }
                  ?>
            </div>
            <div class="ample-content">
               <?php
                  if (has_post_thumbnail()) {?>
               <div class="post-cat"><?php news_bulletin_get_category(get_the_ID()); ?></div>
               <?php } ?>
               <h3 class="post-title">
                  <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
               </h3>
               <div class="post-meta">
                  <span class="post-date"><?php news_bulletin_posted_on_theme(); ?></span>
               </div>
            </div>
            <!-- Post content end -->
         </div>
         <!-- Post Overaly Article end -->
      </div>
      <?php } else { ?>
      <div class="col-md-6 col-sm-6">
         <div class="list-post-block">
            <ul class="list-post">
               <li class="clearfix">
                  <div class="ample-block-style post-float clearfix">
                     <div class="img-post">
                        <?php

                           if (has_post_thumbnail()) {
                           $image_id = get_post_thumbnail_id();
                           $image_url = wp_get_attachment_image_src($image_id, 'thumnail', true);
                           ?>
                        <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                           src="<?php echo esc_url($image_url[0]); ?>"
                           alt="<?php the_title_attribute();?>"/></a>
                        <?php }
                           ?>
                     </div>
                     <!-- Post thumb end -->
                     <div class="ample-content post-title">
                        <h3 class="post-title title-small">
                           <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                        </h3>
                        <div class="post-meta">
                           <span class="post-date black"><?php news_bulletin_posted_on_theme(); ?></span>
                        </div>
                        <!--  <p><?php echo esc_html(wp_trim_words(get_the_content(), 10)); ?></p> -->
                     </div>
                     <!-- Post content end -->
                  </div>
                  <!-- Post block style end -->
               </li>
               <!-- Li 1 end -->
            </ul>
            <!-- List post end -->
         </div>
         <!-- List post block end -->
      </div>
      <?php } ?>
      <?php
         $i++;
         }
         wp_reset_postdata();
         } ?>
   </div>
   <!-- Row end -->
</div>
<!-- Block Lifestyle end -->
<?php
   }elseif($layout_type=='layout5' ){
     ?>
<div class="news-details block ">
   <?php if (!empty($title)) { ?>
   <h3 class="head-title"><span>
      <?php echo esc_html($title);
         ?></span>
   </h3>
   <?php } ?>
   <div id="news-details-slide " class=" one-column layout5">
      <?php
         $i = 0;
         $sticky = get_option('sticky_posts');
         if ($catid != -1) {
         $home_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'cat' => $catid,
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         } else {
         $home_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'post_type' => 'post',
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         }
         $home_two_column_section_query = new WP_Query($home_two_column_section);
         if ($home_two_column_section_query->have_posts()) {
         while ($home_two_column_section_query->have_posts()) {
         $home_two_column_section_query->the_post();
         if($i%2==1){?>
      <div class="item">
         <div class="ample-block-style post-float-half clearfix">
            <div class="img-post">
               <?php
                  if (has_post_thumbnail()) {
                  $image_id = get_post_thumbnail_id();
                  $image_url = wp_get_attachment_image_src($image_id, 'large', true);
                  ?>
               <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                  src="<?php echo esc_url($image_url[0]); ?>"
                  alt="<?php the_title_attribute();?>"/></a>
               <?php }
                  ?>
                    <?php
               if (has_post_thumbnail()) {?>
            <div class="post-cat"><?php news_bulletin_get_category(get_the_ID());
              ?></div>
            <?php } ?>
            </div>

            <div class="ample-content">
               <h3 class="post-title">
                  <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
               </h3>
               <div class="post-meta">
                  <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?></span>
               </div>
               <p><?php echo esc_html(wp_trim_words(get_the_content(), 55)); ?></p>
            </div>
            <!-- Post content end -->
         </div>
         <!-- Post Block style 1 end -->
      </div>
      <!-- Item 1 end -->
      <?php }else{ ?>
      <div class="item">
         <div class="ample-block-style post-float-half clearfix">
            <div class="ample-content">
               <h3 class="post-title">
                  <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
               </h3>
               <div class="post-meta">
                  <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?></span>
               </div>
               <p><?php echo esc_html(wp_trim_words(get_the_content(), 55)); ?></p>
            </div>
            <!-- Post content end -->
            <div class="img-post">
               <?php
                  if (has_post_thumbnail()) {
                  $image_id = get_post_thumbnail_id();
                  $image_url = wp_get_attachment_image_src($image_id, 'large', true);
                  ?>
               <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                  src="<?php echo esc_url($image_url[0]); ?>"
                  alt="<?php the_title_attribute();?>"/></a>
               <?php }
                  ?>
                  <?php
               if (has_post_thumbnail()) {?>
            <div class="post-cat"><?php news_bulletin_get_category(get_the_ID());
              ?></div>
            <?php } ?>
            </div>

         </div>
         <!-- Post Block style 1 end -->
      </div>
      <!-- Item 1 end -->
      <?php
         }
           $i++;
           }
           wp_reset_postdata();
           } ?>
   </div>
   <!-- More news carousel end -->
</div>
<!--More news block -->
<?php
   }elseif($layout_type=='layout6' ){
     ?>
<div class="wrap-slider">
<div class="container-fluid">
   <div class="row post-slider">
      <?php
         $i = 0;
         $sticky = get_option('sticky_posts');
         if ($catid != -1) {
         $home_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'cat' => $catid,
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         } else {
         $home_two_column_section = array(
         'ignore_sticky_posts' => true,
         'post__not_in' => $sticky,
         'post_type' => 'post',
         'posts_per_page' => $post_number,
         'order' => 'DESC'
         );
         }
         $home_two_column_section_query = new WP_Query($home_two_column_section);
         if ($home_two_column_section_query->have_posts()) {
         while ($home_two_column_section_query->have_posts()) {
         $home_two_column_section_query->the_post(); ?>
      <div class="col-md-4">
         <div class="post-header">
            <div class="post-image">
               <?php
                  if (has_post_thumbnail()) {
                  $image_id = get_post_thumbnail_id();
                  $image_url = wp_get_attachment_image_src($image_id, 'large', true);
                  ?>
               <a href="<?php the_permalink(); ?>"><img class="img-responsive"
                  src="<?php echo esc_url($image_url[0]); ?>"
                  alt="<?php the_title_attribute();?>"/></a>
               <?php }
                  ?>
            </div>
            <div class="post-wrap">
               <div class="post-content">
                  <span class="term-badge">
                  <?php news_bulletin_get_category(get_the_ID()); ?>
                  </span>
               </div>
               <h3 class="post-title">
                  <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
               </h3>
               <div class="post-meta">
                  <span class="post-date black"> <?php news_bulletin_posted_on_theme(); ?> </span>
               </div>
            </div>
         </div>
      </div>
      <?php
         $i++;
         }
         wp_reset_postdata();
         } ?>
   </div>
</div>
<?php
}
echo $args['after_widget'];
}
}
}
}
add_action('widgets_init', 'news_bulletin_layout_widget');
function news_bulletin_layout_widget()
{
register_widget('News_Bulletin_Layout_Widget');
}
