<?php
/**
 * Dynamic css
 *
 * @package Ample Themes
 *
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('news_bulletin_dynamic_css') ):
    function news_bulletin_dynamic_css(){

        global $news_bulletin_theme_options;
        $news_bulletin_theme_options = news_bulletin_get_options_value();

        $news_bulletin_top_header_color = esc_attr( news_bulletin_get_option('news_bulletin_top_header_background_color') );

        $news_bulletin_top_footer_color = esc_attr( news_bulletin_get_option('news_bulletin_top_footer_background_color') );


        $news_bulletin_primary_color = esc_attr( news_bulletin_get_option('news_bulletin_primary_color') );

           $news_bulletin_secondary_color = esc_attr( news_bulletin_get_option('news_bulletin_secondary_color') );


        $news_bulletin_bottom_footer_color = esc_attr( news_bulletin_get_option('news_bulletin_bottom_footer_background_color') );

        $news_bulletin_custom_css = '';





            $args = array(
                'orderby' => 'id',
                'hide_empty' => 0
            );
            $categories = get_categories( $args );
            $wp_category_list = array();
            $i = 1;

            foreach ($categories as $category_list) {
                $wp_category_list[$category_list->cat_ID] = $category_list->cat_name;


                $cat_color = 'cat-' . esc_attr(get_cat_ID($wp_category_list[$category_list->cat_ID]));

                if (array_key_exists($cat_color, $news_bulletin_theme_options)) {

                    $cat_color_code = esc_attr($news_bulletin_theme_options[$cat_color]);
                    $news_bulletin_custom_css .= "

                      a.at-cat-name-{$category_list->cat_ID}{
                    background: {$cat_color_code}!important;
                    }
                    ";


                    $i++;
                }
            }






        /*====================Dynamic Css =====================*/
        $news_bulletin_custom_css .= ".breaking-bar{
         background-color: " . $news_bulletin_top_header_color . ";}
    ";

        $news_bulletin_custom_css .= ".footer{
         background-color: " . $news_bulletin_top_footer_color . ";}
    ";


       $news_bulletin_custom_css .= ".top-menu li a:hover, a.continue-link, .ample-block-style .post-title a:hover,  a#search{

         color: " .$news_bulletin_secondary_color .'!important'. ";}
   ";


        $news_bulletin_custom_css .= "ul.navbar-nav >li.active>a:before, .head-title, .head-title > span, .color-orange a.post-cat, .color-blue .head-title > span, .color-blue a.post-cat, nav.breadcrumb-trail.breadcrumbs {
         border-color: " . $news_bulletin_primary_color .'!important'. ";}
    ";


        


        $news_bulletin_custom_css .= ".next-page .navigation li.active a,.next-page .navigation li a:hover

 {

           background-color: " . $news_bulletin_primary_color . ";}

    ";



    $news_bulletin_custom_css .= "

     {

       border-top:  ".'5px solid'. $news_bulletin_primary_color .'!important'. ";}

    ";

        $news_bulletin_custom_css .= " .tagname:after,

     {

       border-left-color:  ".$news_bulletin_primary_color .'!important'. ";}

    ";

        $news_bulletin_custom_css .= ".acme-news-ticker-label, div#cwp-breadcrumbs :before, span.page-numbers.current,.tagname, .ample-post-format,   a.scrollup,  .owl-theme.owl-carousel .owl-dots .owl-dot.active span, li.home-buttom.navbar-nav, .simple-marquee-container .marquee-sibling, .main-slider.owl-theme .owl-nav > div:hover, .color-red .owl-carousel.owl-theme .owl-nav > div:hover,.navbar-toggle, .comment-form .submit, h2.entry-title:before, .trending-title,.owl-carousel.owl-theme.trending-slide .owl-nav > div,  input.search-submit,  .color-orange a.post-cat, .color-blue, .color-blue a.post-cat, nav.breadcrumb-trail.breadcrumbs{
           background: " . $news_bulletin_primary_color .'!important'. ";}

    ";
     

        $news_bulletin_custom_css .= ".copyright {
           background: " . $news_bulletin_bottom_footer_color . ";}

    ";




        /*------------------------------------------------------------------------------------------------- */

        /*custom css*/


        wp_add_inline_style('news-bulletin-style', $news_bulletin_custom_css);

    }
endif;
add_action('wp_enqueue_scripts', 'news_bulletin_dynamic_css', 99);
